%define version	20060520
%define release	%mkrel 3
%define fontdir %_datadir/fonts/TTF/japanese-mplus_ipagothic

Name:		fonts-ttf-japanese-mplus_ipagothic
Summary:	M+ OUTLINE FONTS with IPA gothic for Japanese
Version:	%{version}
Release:	%{release}
Group:		System/Fonts/True type
License:	Distributable
URL:		http://mix-mplus-ipa.sourceforge.jp/
Source0:	%{name}-%{version}.tar.bz2
Requires(post,postun): fontconfig
Requires(post): mkfontdir, mkfontscale
BuildArch:	noarch

%description
M+ OUTLINE FONTS don't have Kanji,
so "M+ with IPA gothic" use IPA gothic for Kanji.


%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

install -d %{buildroot}/%{fontdir}
install -m 644 *.ttf %{buildroot}/%{fontdir}

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%fontdir \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-japanese-mplus_ipagothic:pri=50

%clean
rm -rf $RPM_BUILD_ROOT

%post
fc-cache
cd %{fontdir}
mkfontdir
mkfontscale
cd -

%preun
rm -f %fontdir/fonts.{dir,scale}

%postun
fc-cache

%files
%defattr(-,root,root)
%doc COPYING.font.ja *.txt
%doc opfc-ModuleHP-1.1.1_withIPAFonts_and_Mplus.tar.bz2
%{fontdir}/*.ttf
%_sysconfdir/X11/fontpath.d/*


%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060520-3mdv2008.1
+ Revision: 125136
- kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Funda Wang <fundawang@mandriva.org> 20060520-3mdv2008.0
+ Revision: 68102
- Adopt to new font policy

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060520-2mdv2008.0
+ Revision: 67831
- rebuild


* Mon Jul 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20060520-1mdv2007.0
- new release

* Mon May 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 20060427-1mdk
- new release
- add some fonts
- change URL

* Tue Feb 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.0.10-1mdk
- first spec for Mandriva Linux
- mplus-TESTFLIGHT-010

